Elenca gli orari disponibili
curl --request GET \
--url https://app.gestionesala.com/api/v1/availability/slots \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.gestionesala.com/api/v1/availability/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.gestionesala.com/api/v1/availability/slots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"venueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceDate": "2023-12-25",
"partySize": 123,
"timezone": "<string>",
"data": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}Disponibilità
Elenca gli orari disponibili
Scope: reservations:read. Ogni orario, a passi di 15 minuti dall’apertura del turno, è un orario in cui una prenotazione verrebbe accettata in questo momento.
GET
/
availability
/
slots
Elenca gli orari disponibili
curl --request GET \
--url https://app.gestionesala.com/api/v1/availability/slots \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.gestionesala.com/api/v1/availability/slots', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.gestionesala.com/api/v1/availability/slots"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"venueId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"serviceDate": "2023-12-25",
"partySize": 123,
"timezone": "<string>",
"data": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
],
"nextCursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": {
"fields": [
"<string>"
],
"requiredScope": "<string>",
"reason": "<string>",
"alternatives": [
{
"time": "<string>",
"startsAt": "2023-11-07T05:31:56Z",
"endsAt": "2023-11-07T05:31:56Z",
"turnTimeMinutes": 123,
"seats": 123,
"overflowsShift": true
}
]
},
"requestId": "<string>"
}
}Autorizzazioni
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Parametri della query
Giorno di servizio, YYYY-MM-DD
Intervallo richiesto:
1 <= x <= 500
